Developers
Build bots, integrations, and extensions.
cURL
curl --request POST \ --url https://api.magne.app/v1/servers/{serverId}/channels \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "channelType": "<string>", "categoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "topic": "<string>" } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "serverId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "categoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "topic": "<string>", "channelType": "<string>", "position": 123, "isNsfw": true, "slowmodeSeconds": 123, "ownerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "isTemporary": true, "isLocked": true, "isHidden": true, "userLimit": 123, "musicLocked": true, "createdAt": "2023-11-07T05:31:56Z" }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Success